# Auto-generated by tools/gen_part1.py
add_subdirectory(ch02)
add_subdirectory(ch03)
add_subdirectory(ch04/s01)
add_subdirectory(ch04/s02)
add_subdirectory(ch04/s03)
add_subdirectory(ch04/s04)
add_subdirectory(ch04/s05)
add_subdirectory(ch04/s06)
add_subdirectory(ch04/s07)
add_subdirectory(ch04/s08)
add_subdirectory(ch05)
add_subdirectory(ch06)
add_subdirectory(ch07)
add_subdirectory(ch08)
add_subdirectory(ch09/s02)
add_subdirectory(ch09/s03)
add_subdirectory(ch09/s04)
